{
  "name": "intelligent-early-warning",
  "author": "GYEE_ZM",
  "version": "1.0.0",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "serve": "vite preview"
  },
  "dependencies": {
    "@stomp/stompjs": "^6.1.2",
    "@vue/shared": "^3.2.36",
    "animate.css": "^4.1.1",
    "axios": "^0.21.1",
    "dayjs": "^1.10.7",
    "default-passive-events": "^2.0.0",
    "echarts": "^5.2.2",
    "element-plus": "^1.0.2-beta.71",
    "file-saver": "^2.0.5",
    "html2canvas": "^1.0.0-rc.7",
    "jsencrypt": "^3.2.1",
    "json-bigint": "^1.0.0",
    "jspdf": "^2.3.1",
    "moment": "^2.29.1",
    "q": "^1.5.1",
    "screenfull": "^6.0.0",
    "stompjs": "^2.3.3",
    "vue": "^3.0.5",
    "vue-cropperjs": "^5.0.0",
    "vue-loader-v16": "^16.0.0-beta.5.4",
    "vue-router": "^4.0.8",
    "vue3-simple-html2pdf": "^0.0.6",
    "vuex": "~4.0.0",
    "xlsx": "^0.17.4"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^5.20.0",
    "@typescript-eslint/parser": "^5.20.0",
    "@vitejs/plugin-vue": "^1.2.2",
    "@vue/compiler-sfc": "^3.0.5",
    "sass": "^1.34.1",
    "sass-loader": "^12.0.0",
    "script-loader": "^0.7.2",
    "typescript": "^4.6.3",
    "vite": "^2.3.4",
    "vite-plugin-style-import": "^0.10.1",
    "vue-tsc": "^0.2.2",
    "wait-on": "^6.0.0"
  },
  "build": {
    "appId": "com.my-website.my-app",
    "productName": "intelligent-early-warning",
    "copyright": "Copyright © 2021 ${author}",
    "mac": {
      "category": "public.app-category.utilities"
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true
    },
    "files": [
      "dist/**/*",
      "electron/**/*"
    ],
    "directories": {
      "buildResources": "assets",
      "output": "dist_electron"
    }
  }
}
